import Cookies from 'js-cookie'

export class Utils {
    static isWechat(): boolean {
        return /MicroMessenger/i.test(window.navigator.userAgent)
    }
    static getCookie(key: string): string | null {
        return Cookies.get(key) || null
    }
    static setCookie(key: 'uid' | 'accessToken', value: string): void {
        Cookies.set(key, value)
    }
}